
QGIS Application - Bug report #2879

QGIS won't compile with GCC 4.5

2010-07-09 01:04 AM - Volker Fröhlich

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12939

Description

It was already pointed out in #2845

that if ( splitterState != QVariant::QVariant() ) should be if ( splitterState != QVariant() ) in qgscomposer.cpp.

Otherwise it won't compile with GCC 4.5.

Associated revisions

Revision a2179e4a - 2010-07-09 02:29 PM - Jürgen Fischer

fix #2879

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13903 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision f1c90149 - 2010-07-09 02:29 PM - Jürgen Fischer

fix #2879

git-svn-id: http://svn.osgeo.org/qgis/trunk@13903 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-07-09 05:30 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:f1c90149 (SVN r13904).

Files

qgis_qvariant.patch 559 Bytes 2010-07-08 Volker Fröhlich
